> For the complete documentation index, see [llms.txt](https://docs.mnasati.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mnasati.com/api-methods/taxes-list.md).

# Taxes List

## Get Cakes

<mark style="color:green;">`POST`</mark> `https://sandbox.mnasati.com/v1/taxes`

This endpoint allows you to get Tax list for vendor.

#### Headers

| Name         | Type   | Description                 |
| ------------ | ------ | --------------------------- |
| Content-Type | string | Application/JSON            |
| Access Token | string | Authentication token (JWT). |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
   "status":true,
   "data":[
      {
         "country_id":"1",
         "country_name":"Kuwait",
         "country_name_ar":"الكويت",
         "tax":"20.00"
      },
      {
         "country_id":"10",
         "country_name":"Saudi Arabia",
         "country_name_ar":"المملكة العربية السعودية",
         "tax":"5.00"
      },
      {
         "country_id":"11",
         "country_name":"Qatar",
         "country_name_ar":"قطر",
         "tax":"7.00"
      },
      {
         "country_id":"12",
         "country_name":"United Arab Emirates",
         "country_name_ar":"الإمارات العربية المتحدة",
         "tax":"0.00"
      },
      {
         "country_id":"13",
         "country_name":"Bahrain",
         "country_name_ar":"البحرين",
         "tax":"0.00"
      },
      {
         "country_id":"14",
         "country_name":"Oman",
         "country_name_ar":"عمان",
         "tax":"0.00"
      },
      {
         "country_id":"15",
         "country_name":"Jordan",
         "country_name_ar":"الاردن‎",
         "tax":"16.00"
      },
      {
         "country_id":"16",
         "country_name":"United States of America",
         "country_name_ar":"الولايات المتحدة الأمريكية",
         "tax":"0.00"
      },
      {
         "country_id":"17",
         "country_name":"Spain",
         "country_name_ar":"إسبانيا",
         "tax":"0.00"
      },
      {
         "country_id":"18",
         "country_name":"united kingdom",
         "country_name_ar":"المملكة المتحدة",
         "tax":"0.00"
      }
   ]
}
```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
{    "message": "Not found."}
```

{% endtab %}
{% endtabs %}

### Examples

{% tabs %}
{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("sandbox.mnasati.com")

headers = {
    'Content-Type': "",
    'Authorization-Jwt': ""
    }

conn.request("POST", "/v1/taxes", headers=headers)

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php


```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
	"fmt"
	"net/http"
	"io/ioutil"
)

func main() {

	url := "https://sandbox.mnasati.com/v1/taxes"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Content-Type", "")
	req.Header.Add("Authorization-Jwt", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := ioutil.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

{% endtab %}

{% tab title="Swift" %}

```swift
import Foundation

let headers = [
  "Content-Type": "",
  "Authorization-Jwt": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.mnasati.com/v1/taxes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

{% endtab %}

{% tab title="jQuery" %}

```javascript
const settings = {
  "async": true,
  "crossDomain": true,
  "url": "https://sandbox.mnasati.com/v1/taxes",
  "method": "POST",
  "headers": {
    "Content-Type": "",
    "Authorization-Jwt": ""
  }
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mnasati.com/api-methods/taxes-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
